Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.bsh
Class Variable

    java.lang.Object
      org.gjt.sp.jedit.bsh.Variable

All Implemented Interfaces:
  java.io.Serializable

    public class Variable

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`Modifiers` | `getModifiers()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getType()` A type of null means loosely typed variable
`java.lang.String` | `getTypeDescriptor()`
`boolean` | `hasModifier(java.lang.String name)`
`void` | `setValue(java.lang.Object value, int context)` Set the value of the typed variable.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setValue

    public void setValue(java.lang.Object value,
                         int context)
                  throws UtilEvalError

  Set the value of the typed variable.

  Parameters:
    `value` - should be an object or wrapped bsh Primitive type. if value is null the appropriate default value will be set for the type: e.g. false for boolean, zero for integer types.
  Throws:
    `UtilEvalError`

### getType

    public java.lang.Class getType()

  A type of null means loosely typed variable

### getTypeDescriptor

    public java.lang.String getTypeDescriptor()

### getModifiers

    public Modifiers getModifiers()

### getName

    public java.lang.String getName()

### hasModifier

    public boolean hasModifier(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD